Name:           polkit-qt-1
Version:        0.112.0
Summary:        Library that allows developer to access PolicyKit-1 API
Release:        %mkrel 7
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            http://projects.kde.org/projects/extragear/base/polkit-qt-1
Source0:        http://download.kde.org/stable/apps/KDE4.x/admin/%{name}-%{version}.tar.bz2
# patches from upstream master
Patch1:         0001-do-not-use-global-static-systembus-instance.patch
Patch2:         0002-fix-build-with-Qt4-which-doesn-t-have-QStringLiteral.patch

BuildRequires:  polkit-1-devel >= 0.98.1
BUildRequires:  qt4-devel
BuildRequires:  cmake
BuildRequires:  automoc4

%description
Polkit-qt is a library that allows developer to access PolicyKit-1
API with a nice Qt-style API

#-----------------------------------------------------------------------------

%define libpolkit_qt_core_1_major 1
%define libpolkit_qt_core_1 %mklibname polkit-qt-core-1_ %{libpolkit_qt_core_1_major}

%package -n %libpolkit_qt_core_1
Summary: Polkit-Qt core library
Group: System/Libraries
Obsoletes: %{_lib}polkit-qt-core-10 < %{version}-%{release}

%description -n %libpolkit_qt_core_1
Polkit-Qt core library.

%files -n %libpolkit_qt_core_1
%_libdir/libpolkit-qt-core-1.so.%{libpolkit_qt_core_1_major}*

#-----------------------------------------------------------------------------

%define libpolkit_qt_gui_1_major 1
%define libpolkit_qt_gui_1 %mklibname polkit-qt-gui-1_ %{libpolkit_qt_gui_1_major}

%package -n %libpolkit_qt_gui_1
Summary: Polkit-Qt core library
Group: System/Libraries
Obsoletes: %{_lib}polkit-qt-gui-10 < %{version}-%{release}

%description -n %libpolkit_qt_gui_1
Polkit-Qt core library.

%files -n %libpolkit_qt_gui_1
%_libdir/libpolkit-qt-gui-1.so.%{libpolkit_qt_gui_1_major}*

#-----------------------------------------------------------------------------

%define libpolkit_qt_agent_1_major 1
%define libpolkit_qt_agent_1 %mklibname polkit-qt-agent-1_ %{libpolkit_qt_agent_1_major}

%package -n %libpolkit_qt_agent_1
Summary: Polkit-Qt core library
Group: System/Libraries
Obsoletes: %{_lib}polkit-qt-agent-10 < %{version}-%{release}

%description -n %libpolkit_qt_agent_1
Polkit-Qt core library.

%files -n %libpolkit_qt_agent_1
%_libdir/libpolkit-qt-agent-1.so.%{libpolkit_qt_agent_1_major}*

#-----------------------------------------------------------------------------

%package   devel
Summary:   Devel stuff for polkit-Qt
Group:     Development/KDE and Qt
Requires:  %libpolkit_qt_core_1 = %version-%release
Requires:  %libpolkit_qt_gui_1 = %version-%release
Requires:  %libpolkit_qt_agent_1 = %version-%release

%description  devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%{_includedir}/polkit-qt-1
%{_libdir}/libpolkit-qt-agent-1.so
%{_libdir}/libpolkit-qt-core-1.so
%{_libdir}/libpolkit-qt-gui-1.so
%{_libdir}/pkgconfig/polkit-qt-1.pc
%{_libdir}/pkgconfig/polkit-qt-agent-1.pc
%{_libdir}/pkgconfig/polkit-qt-core-1.pc
%{_libdir}/pkgconfig/polkit-qt-gui-1.pc
%{_libdir}/cmake/PolkitQt-1/*.cmake

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4 -DUSE_QT4:bool=ON
%make

%install
%makeinstall_std -C build


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.112.0-7.mga6
+ Revision: 931093
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.112.0-6.mga5
+ Revision: 740563
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 lmenut <lmenut> 0.112.0-5.mga5
+ Revision: 736256
- add upstream patches to avoid some crash
- Use official URL http://download.kde.org for Source

* Tue Sep 16 2014 umeabot <umeabot> 0.112.0-4.mga5
+ Revision: 687714
- Mageia 5 Mass Rebuild

* Mon Jul 28 2014 neoclust <neoclust> 0.112.0-3.mga5
+ Revision: 657697
- New version 0.112.0

* Fri Oct 18 2013 umeabot <umeabot> 0.103.0-3.mga4
+ Revision: 517612
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.103.0-2.mga3
+ Revision: 378040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 mikala <mikala> 0.103.0-1.mga2
+ Revision: 182372
- Update tarball to 0.103.0

* Fri Jan 14 2011 mikala <mikala> 0.99.0-1.mga1
+ Revision: 18000
- imported package polkit-qt-1


* Fri Dec 10 2010 Funda Wang <fwang@mandriva.org> 0.99.0-1mdv2011.0
+ Revision: 620209
- new version 0.99.0
- update license
- update url

* Tue Oct 26 2010 Funda Wang <fwang@mandriva.org> 0.98.1-1mdv2011.0
+ Revision: 589417
- new snapshot for newer kdelibs4

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 0.96.1-1mdv2011.0
+ Revision: 563987
- new version 0.96.1

* Wed Dec 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-1mdv2010.1
+ Revision: 481756
- Fix release

* Wed Dec 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-0.1056463.1mdv2010.1
+ Revision: 481717
- Update to 0.9.5.1

* Mon Nov 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.0-0.1056463.1mdv2010.1
+ Revision: 471702
- Do not use kde4 macros
- import polkit-qt-1


